import { ExtensionType } from '../../../extensions/Extensions';
import type { InstructionSet } from '../../renderers/shared/instructions/InstructionSet';
import type { RenderPipe } from '../../renderers/shared/instructions/RenderPipe';
import type { Renderable } from '../../renderers/shared/Renderable';
import type { Renderer } from '../../renderers/types';
import type { TextView } from '../TextView';
export declare class CanvasTextPipe implements RenderPipe<TextView> {
    /** @ignore */
    static extension: {
        readonly type: readonly [ExtensionType.WebGLPipes, ExtensionType.WebGPUPipes, ExtensionType.CanvasPipes];
        readonly name: "text";
    };
    private _renderer;
    private _gpuText;
    constructor(renderer: Renderer);
    validateRenderable(renderable: Renderable<TextView>): boolean;
    addRenderable(renderable: Renderable<TextView>, _instructionSet: InstructionSet): void;
    updateRenderable(renderable: Renderable<TextView>): void;
    destroyRenderable(renderable: Renderable<TextView>): void;
    private _destroyRenderableById;
    private _updateText;
    private _updateGpuText;
    private _getGpuText;
    private _initGpuText;
    destroy(): void;
}
